﻿@model List<eCommerce.BackOffice.ViewModels.StockListViewModel>
@{
    ViewBag.Title = "Consulta de Stock";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<div class="page-header">
    <h1 class="page-title">Consulta de Stock</h1>
    <div class="page-header-actions">
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-primary" onclick="javascript: window.location = '/Products/StockMovements';">
                <i class="icon wb-list" aria-hidden="true"></i>
                <span class="hidden-xs">Movimientos de Stock</span>
            </button>
        </div>
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">    
            <button type="button" class="btn btn-outline btn-success" onclick="window.location.href='/Products/ExportStocksToExcel'">
                <i class="icon fa-file-excel-o" aria-hidden="true"></i>
                <span class="hidden-xs">EXPORTAR</span>
            </button>
        </div>
    </div>
</div>

<div class="page-content">

    <div class="panel">
        @Html.Partial("_StockList", Model)
    </div>

</div>

<div class="modal fade" id="stockDetail" aria-hidden="false" aria-labelledby="stockDetail" role="dialog" tabindex="-1">
    <div class="modal-dialog">
        <form class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title" id="exampleFormModalLabel">Detalle por Depósito</h4>
            </div>
            <div class="modal-body">
            </div>
        </form>
    </div>
</div>

@section Scripts {
    <script src="/Content/assets/js/components/editable-table.js"></script>
    <script src="/Content/assets/vendor/editable-table/mindmup-editabletable.js"></script>
    <script src="/Content/assets/vendor/editable-table/numeric-input-example.js"></script>
    <script type="text/javascript">


        $('#editableTable').editableTableWidget({ editor: $('<input>'), preventColumns: [1, 2, 3, 4, 6, 7] });
        $('table td').on('validate', function (evt, newValue) {
            if ($(this).attr("id").startsWith("StockReal") || $(this).attr("id").startsWith("Categoria") || $(this).attr("id").startsWith("Published")) {
                return false;
            }
        });

        $('table td').on('change', function (evt, newValue) {
            debugger;
            var colorId = this.id.split('-')[3];
            var sizeId = this.id.split('-')[2];
            var productId = this.id.split('-')[1];
            var attribute = this.id.split('-')[0];

            if (newValue != null && attribute == "StockVirtual") {
                $.ajax({
                    url: "/Products/StockUpdate",
                    type: "POST",
                    data: { ProductId: productId, NewStock: newValue, SizeId: sizeId, colorId: colorId},
                    success: function (data, textStatus, jqXHR)
                    {
                        if(data=="error")
                        {
                            toastr.error('Error al modificar datos.');
                        }
                        else if (data.includes("stockVirtualError"))
                        {
                            debugger;
                            toastr.error('Error, el valor ingresado dejaría el stock virtual en negativo.');
                            $("#StockReal-" + productId + "-" + sizeId + "-" + colorId).text(data.split("/")[1]);
                        }
                        else
                        {
                            debugger;
                            $("#StockVirtual-" + productId + "-" + sizeId + "-" + colorId).text(newValue);
                            $("#StockReal-" + productId + "-" + sizeId + "-" + colorId).text(data);
                            toastr.success('Datos modificados');

                        }
                    }
                });
            }
        });

        function ShowStockDetail(productId, sizeId, colorId)
        {
            $.ajax({
                url: "/Products/GetStockDetail",
                type: "GET",
                data: { productId: productId, sizeId: sizeId, colorId: colorId },
                success: function (data, textStatus, jqXHR)
                {
                    $('.modal-body').html(data);
                }
            });

            return false;
        }

    </script>
        

}

